{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"},"vrackServices.EligibleManagedService":{"type":"object","description":"List of managed services eligible to the requested vRack Services","properties":{"managedServiceType":{"type":"string","description":"IAM resource type. Compatible managed service types are listed by /reference/compatibleManagedServiceType call.","readOnly":true},"managedServiceURNs":{"type":"array","description":"List of IAM resource URNs","items":{"type":"string"},"readOnly":true}}}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/vrackServices/resource/{vrackServicesId}/eligibleManagedService":{"get":{"operationId":"getVrackServiceEligibleManagedServices","summary":"List eligible managed services","description":"Returns, by type, the managed services that can get a Service Endpoint in the vRack Services. Only services in the same region are eligible.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"vrackServicesId","description":"Vrack services ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/vrackServices.EligibleManagedService"}},"examples":{"Example":{"value":[{"managedServiceType":"storageNetApp","managedServiceURNs":["urn:v1:eu:resource:storageNetApp:examples-00e1-4a3d-ae89-ac145675c8bb","urn:v1:eu:resource:storageNetApp:examples-a77c-478e-93ce-06aa94cbd9d1"]},{"managedServiceType":"anotherManagedService","managedServiceURNs":["urn:v1:eu:resource:anotherManagedService:examples-4011-496d-881a-bea1867b5626"]}],"summary":"Example"}}}}}},"tags":["Resource"],"x-developer-hub-navigation":[["Network","vRack Services","Endpoints@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/vrackServices/resource/{vrackServicesId}/eligibleManagedService\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/vrackServices/resource/{vrackServicesId}/eligibleManagedService\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"vrackServices:apiovh:resource/eligibleManagedService/get","required":true},{"name":"vrackServices:apiovh:storageNetApp/attach","description":"Action required on a vrack Services to add an Enterprise File Storage in it","required":false},{"name":"storageNetApp:apiovh:vrackServices/attach","description":"Action required on an Enterprise File Storage service to be added into a vRack Services","required":false},{"name":"vrackServices:apiovh:nasHA/attach","description":"Action required on a vrack Services to add a HA-NAS in it","required":false},{"name":"nasHA:apiovh:vrackServices/attach","description":"Action required on a HA-NAS service to be added into a vRack Services","required":false}]}}},"tags":[{"name":"Resource","x-tag-expanded":false,"description":"Missing description"}]}
